package com.casic.dcms.model;

import java.util.List;

public class AlarmDataBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private int total;
        private List<RowsBean> rows;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public static class RowsBean {
            /**
             * alarmContent : 1
             * deptName : 崇仁县城管局
             * jobStatus : 0
             * alarmContentName : 井盖开盖报警
             * wellCode : GX_WSD_4107_HLDD037
             * alarmTime : 2019-06-24 11:47:10
             * deptid : 24
             * alarmTypeName : 一次报警
             * alarmMessage : 井盖开盖报警
             * staff : 超级管理员
             * deviceId : 1356438698347016196
             * jobId : 1232266
             * jobStatusName : 待处理
             * alarmType : 1
             * alarmValue : --
             * devcode : 412020110003
             * statusName : 正在报警
             * alarmLevel :
             * tel : 18200000000
             * id : 11409
             * wellId : 36962
             * position : 活力大道
             * status : 1
             */

            private int alarmContent;
            private String deptName;
            private String jobStatus;
            private String alarmContentName;
            private String wellCode;
            private String alarmTime;
            private String deptid;
            private String alarmTypeName;
            private String alarmMessage;
            private String staff;
            private String deviceId;
            private String jobId;
            private String jobStatusName;
            private String alarmType;
            private String alarmValue;
            private String devcode;
            private String statusName;
            private String alarmLevel;
            private String tel;
            private String id;
            private String wellId;
            private String position;
            private String status;

            public int getAlarmContent() {
                return alarmContent;
            }

            public void setAlarmContent(int alarmContent) {
                this.alarmContent = alarmContent;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }

            public String getJobStatus() {
                return jobStatus;
            }

            public void setJobStatus(String jobStatus) {
                this.jobStatus = jobStatus;
            }

            public String getAlarmContentName() {
                return alarmContentName;
            }

            public void setAlarmContentName(String alarmContentName) {
                this.alarmContentName = alarmContentName;
            }

            public String getWellCode() {
                return wellCode;
            }

            public void setWellCode(String wellCode) {
                this.wellCode = wellCode;
            }

            public String getAlarmTime() {
                return alarmTime;
            }

            public void setAlarmTime(String alarmTime) {
                this.alarmTime = alarmTime;
            }

            public String getDeptid() {
                return deptid;
            }

            public void setDeptid(String deptid) {
                this.deptid = deptid;
            }

            public String getAlarmTypeName() {
                return alarmTypeName;
            }

            public void setAlarmTypeName(String alarmTypeName) {
                this.alarmTypeName = alarmTypeName;
            }

            public String getAlarmMessage() {
                return alarmMessage;
            }

            public void setAlarmMessage(String alarmMessage) {
                this.alarmMessage = alarmMessage;
            }

            public String getStaff() {
                return staff;
            }

            public void setStaff(String staff) {
                this.staff = staff;
            }

            public String getDeviceId() {
                return deviceId;
            }

            public void setDeviceId(String deviceId) {
                this.deviceId = deviceId;
            }

            public String getJobId() {
                return jobId;
            }

            public void setJobId(String jobId) {
                this.jobId = jobId;
            }

            public String getJobStatusName() {
                return jobStatusName;
            }

            public void setJobStatusName(String jobStatusName) {
                this.jobStatusName = jobStatusName;
            }

            public String getAlarmType() {
                return alarmType;
            }

            public void setAlarmType(String alarmType) {
                this.alarmType = alarmType;
            }

            public String getAlarmValue() {
                return alarmValue;
            }

            public void setAlarmValue(String alarmValue) {
                this.alarmValue = alarmValue;
            }

            public String getDevcode() {
                return devcode;
            }

            public void setDevcode(String devcode) {
                this.devcode = devcode;
            }

            public String getStatusName() {
                return statusName;
            }

            public void setStatusName(String statusName) {
                this.statusName = statusName;
            }

            public String getAlarmLevel() {
                return alarmLevel;
            }

            public void setAlarmLevel(String alarmLevel) {
                this.alarmLevel = alarmLevel;
            }

            public String getTel() {
                return tel;
            }

            public void setTel(String tel) {
                this.tel = tel;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getWellId() {
                return wellId;
            }

            public void setWellId(String wellId) {
                this.wellId = wellId;
            }

            public String getPosition() {
                return position;
            }

            public void setPosition(String position) {
                this.position = position;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }
        }
    }
}
